Bug 192884 - Review Request: poedit - GUI editor for GNU gettext .po files
Review Request: poedit - GUI editor for GNU gettext .po files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-23 15:47 EDT by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 13:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2006-05-23 15:47:32 EDT
Spec URL: http://blues.mcgill.ca/~icon/fe/poedit.spec
SRPM URL: http://blues.mcgill.ca/~icon/fe/poedit-1.3.4-1.src.rpm
Description: 
This program is GUI frontend to GNU Gettext utilities and catalogs 
editor/source code parser. It helps with translating application into 
another language.
Comment 1 Ralf Corsepius 2006-05-24 01:35:35 EDT
NEEDSWORK:

Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/poedit-1.3.4-1-root-packman
error: Installed (but unpackaged) file(s) found:
   /usr/share/gnome/apps/Development/poedit.desktop
   /usr/share/mime-info/poedit.keys
   /usr/share/mime-info/poedit.mime
   /usr/share/pixmaps/poedit.png
   /usr/share/pixmaps/poedit.xpm


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/share/gnome/apps/Development/poedit.desktop
   /usr/share/mime-info/poedit.keys
   /usr/share/mime-info/poedit.mime
   /usr/share/pixmaps/poedit.png
   /usr/share/pixmaps/poedit.xpm
Comment 2 Konstantin Ryabitsev 2006-05-24 08:53:09 EDT
Please build in mock. The build results will always be different depending on your current installation 
environment -- thus, the spec file has been written to specifically address building in mock.
Comment 3 Paul Howarth 2006-05-24 09:08:37 EDT
(In reply to comment #2)
> Please build in mock. The build results will always be different depending on
your current installation 
> environment -- thus, the spec file has been written to specifically address
building in mock.

That sounds like a bug to me. Builds should work in any environment with the
appropriate BuildRequires in place.

If the files listed in Comment #1 are not installed when building in mock, that
suggests that you have missed a build requirement in your spec.
Comment 4 Ralf Corsepius 2006-05-24 09:56:03 EDT
(In reply to comment #3)

> That sounds like a bug to me. Builds should work in any environment with the
> appropriate BuildRequires in place.
Agreed. A package must build deterministically, no matter which environment is
being used.

Consider this package BLOCKED.


Comment 5 Konstantin Ryabitsev 2006-05-24 10:43:36 EDT
I have not missed any buildrequires. Gnome and KDE are NOT required to build
this package -- the configure script will simply install .desktop and icon files
in a few extra (unnecessary) locations if it finds them (and I delete them
anyway, since they are bogus).

Okay, what I will do is make sure I rm -rf all potential directories where the
makefile sticks its stuff.
Comment 7 Paul Howarth 2006-05-24 11:18:56 EDT
(In reply to comment #5)
> I have not missed any buildrequires. Gnome and KDE are NOT required to build
> this package -- the configure script will simply install .desktop and icon files
> in a few extra (unnecessary) locations if it finds them (and I delete them
> anyway, since they are bogus).
> 
> Okay, what I will do is make sure I rm -rf all potential directories where the
> makefile sticks its stuff.

That's fine, as long as the build works consistently in environments where those
extra files would get installed.
Comment 8 Kevin Fenzi 2006-06-20 02:51:05 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
e76a84ae4be4ad9d9a176fd8a1a2effb  poedit-1.3.4.tar.gz
e76a84ae4be4ad9d9a176fd8a1a2effb  poedit-1.3.4.tar.gz.1
OK - Package compiles and builds on at least one arch.
n/a - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
n/a - Spec has needed ldconfig in post and postun
n/a - Package is relocatable and has a reason to be.
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
n/a - -doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
n/a - Headers/static libs in -devel subpackage.
n/a - .pc files in -devel subpackage.
n/a - .so files in -devel subpackage.
n/a - -devel package Requires: %{name} = %{version}-%{release}
n/a - .la files are removed.
OK - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

Issues:

1. Some rpmlint output:

Not sure if it's worth fixing these with sed/dos2unix/perl or just
reporting it upstream:

W: poedit wrong-file-end-of-line-encoding /usr/share/doc/poedit-1.3.4/en/gettext.hhp
W: poedit wrong-file-end-of-line-encoding /usr/share/doc/poedit-1.3.4/en/gettext.hhc
W: poedit wrong-file-end-of-line-encoding /usr/share/doc/poedit-1.3.4/en/poedit.hhc
W: poedit wrong-file-end-of-line-encoding /usr/share/doc/poedit-1.3.4/en/poedit.hhp

These are likely locales that rpmlint doesn't know about/are nonstandard?

E: poedit incorrect-locale-subdir /usr/share/locale/ast/LC_MESSAGES/poedit.mo
E: poedit incorrect-locale-subdir /usr/share/locale/fur/LC_MESSAGES/poedit.mo

2. I did a mock build for fc5 and that worked fine. Given the above comments
I also did a rpmbuild --rebuild on both a fc5 and devel machine and those
both worked just fine as well, everything seems to build as expected in both 
mock/non mock env's. 

3. There are lots of warnings when building, like:

/usr/include/wx-2.6/wx/clntdata.h:31: warning: dereferencing type-punned pointer
will break strict-aliasing rules

Might be worth reporting upstream.

None of the above are blockers, so this package is APPROVED.
remember to close this bug with NEXTRELEASE after it's imported and built.

Note You need to log in before you can comment on or make changes to this bug.